# Copyright (C) 2025 Michael Becker  <alcexhim@gmail.com>
# 
# This file is part of mocha-suv.
# 
# mocha-suv is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# mocha-suv is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with mocha-suv.  If not, see <https://www.gnu.org/licenses/>.

- entityDefinitions:
  - IDM_ElementContent_View_Start: '{633e1d6c-6afb-4412-bf04-3efcfc1c9b5d}'

  - IDM_ElementContent__respond_with__ElementContent_View: '{5abd08b9-739f-41a0-9fed-57ca7fc446a2}'
  - IDMB_ElementContent__respond_with__ElementContent_View: '{990eac90-9d00-4bf2-bbca-3669124c6a71}'

- library: '&IDL_MochaBaseSystem;'
  instances:
    - controlTransactionMethod: '&IDM_ElementContent_View_Start;'
      buildsResponseWithBRMB:
      - globalIdentifier: '&IDMB_ElementContent__respond_with__ElementContent_View;'
        executesMethod:
        - type: '&IDC_BuildUIResponseMethod;'
          globalIdentifier: '&IDM_ElementContent__respond_with__ElementContent_View;'
          forElementContentId: '&IDC_ElementContent;'
          verb: 'respond with'
          name: 'ElementContent View'
          accessModifierId: '&IDI_AccessModifier_RootA2;'
          usesExecutableReturningElement: '&IDE_ElementContent_View;'
